| QxOrm 1.4.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes
qx::QxValidator< Owner > Class Template Reference
QxValidator : QxOrm library validation engine using validator pattern

qx::QxValidator<Owner> : concrete class for a custom validator More...

`#include <QxValidator.h>`

Inheritance diagram for qx::QxValidator< Owner >:

List of all members.

## Public Types
typedef std::function< void(Owner *, QxInvalidValueX &) | type_fct_custom_validator_member )
typedef std::function< void(const QVariant &, QxInvalidValueX &)> | type_fct_custom_validator_variant
typedef std::function< void(const QVariant &, const IxValidator *, QxInvalidValueX &) | type_fct_custom_validator_variant_validator )
## Public Member Functions
| QxValidator ()
virtual | ~QxValidator ()
void | setFunction (type_fct_custom_validator_member fct)
void | setFunction (type_fct_custom_validator_variant fct)
void | setFunction (type_fct_custom_validator_variant_validator fct)
virtual void | validate (void *pOwner, QxInvalidValueX &lstInvalidValues) const
## Protected Attributes
type_fct_custom_validator_member | m_fctCustomValidator_Member
| Custom validator function : class method.
type_fct_custom_validator_variant | m_fctCustomValidator_Variant
| Custom validator function : global function with value converted to QVariant type.
type_fct_custom_validator_variant_validator | m_fctCustomValidator_VariantValidator
| Custom validator function : global function with value converted to QVariant type and a IxValidator pointer containing all parameters.

## Detailed Description

### template<class Owner>
class qx::QxValidator< Owner >

qx::QxValidator<Owner> : concrete class for a custom validator

For more informations about QxValidator module, goto the FAQ of QxOrm website : https://www.qxorm.com/qxorm_en/faq.html#faq_250

Definition at line 64 of file QxValidator.h.

## Member Typedef Documentation

template<class Owner>

typedef std::function<void (Owner *, QxInvalidValueX &) qx::QxValidator< Owner >::type_fct_custom_validator_member)

Definition at line 69 of file QxValidator.h.

template<class Owner>

typedef std::function<void (const QVariant &, QxInvalidValueX &)> qx::QxValidator< Owner >::type_fct_custom_validator_variant

Definition at line 70 of file QxValidator.h.

template<class Owner>

typedef std::function<void (const QVariant &, const IxValidator *, QxInvalidValueX &) qx::QxValidator< Owner >::type_fct_custom_validator_variant_validator)

Definition at line 71 of file QxValidator.h.

## Constructor & Destructor Documentation

template<class Owner>

qx::QxValidator< Owner >::QxValidator | ( |  | ) | `[inline]`

Definition at line 81 of file QxValidator.h.

template<class Owner>

virtual qx::QxValidator< Owner >::~QxValidator | ( |  | ) | `[inline, virtual]`

Definition at line 82 of file QxValidator.h.

## Member Function Documentation

template<class Owner>

void qx::QxValidator< Owner >::setFunction | ( | type_fct_custom_validator_member | fct | ) | `[inline]`

Definition at line 84 of file QxValidator.h.

template<class Owner>

void qx::QxValidator< Owner >::setFunction | ( | type_fct_custom_validator_variant | fct | ) | `[inline]`

Definition at line 85 of file QxValidator.h.

template<class Owner>

void qx::QxValidator< Owner >::setFunction | ( | type_fct_custom_validator_variant_validator | fct | ) | `[inline]`

Definition at line 86 of file QxValidator.h.

template<class Owner>

virtual void qx::QxValidator< Owner >::validate | ( | void * | pOwner,
|  | QxInvalidValueX & | lstInvalidValues
| ) |  | const`[inline, virtual]`

Reimplemented from qx::IxValidator.

Definition at line 88 of file QxValidator.h.

## Member Data Documentation

template<class Owner>

type_fct_custom_validator_member qx::QxValidator< Owner >::m_fctCustomValidator_Member`[protected]`

Custom validator function : class method.

Definition at line 75 of file QxValidator.h.

template<class Owner>

type_fct_custom_validator_variant qx::QxValidator< Owner >::m_fctCustomValidator_Variant`[protected]`

Custom validator function : global function with value converted to QVariant type.

Definition at line 76 of file QxValidator.h.

template<class Owner>

type_fct_custom_validator_variant_validator qx::QxValidator< Owner >::m_fctCustomValidator_VariantValidator`[protected]`

Custom validator function : global function with value converted to QVariant type and a IxValidator pointer containing all parameters.

Definition at line 77 of file QxValidator.h.

The documentation for this class was generated from the following file:

- C:/Dev/_Perso/QxOrm/include/QxValidator/QxValidator.h